#include "VulkanWindow.h"
#include <QtGui/QGuiApplication>
#include <QtGui/QVulkanWindow>

int main(int argc, char **argv) {
  QGuiApplication app(argc, argv);

  QVulkanInstance inst;
  QByteArrayList layers{"VK_LAYER_LUNARG_standard_validation"};
  inst.setLayers(layers);
  if (!inst.create()) {
    qFatal("Could not create Vulkan instance %d", inst.errorCode());
    return EXIT_FAILURE;
  }
  VulkanWindow window{};
  window.setVulkanInstance(&inst);
  window.resize(800, 600);
  window.show();

  return QGuiApplication::exec();
}
